Skip to main content
Resource Center/Network Resource/L2 Network Operations

CreateL2VxlanNetworkPool

CreateL2VxlanNetworkPool

POST/zstack/v1/l2-networks/vxlan-pool

Operation ID

CreateL2VxlanNetworkPool

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • zoneUuid
      StringRequired

      The zone UUID.

    • physicalInterface
      StringRequired

      The physical interface.

    • type
      String

      Optional. The type.

    • resourceUuid
      String

      Optional. The resource UUID.

    • vSwitchType
      String

      Optional. The type of the vSwitch.

    • tagUuid
      List

      Optional. The Uuid tags list.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    L2VxlanNetworkPoolInventoryRequired

    See inventory.

    • attachedCidrs
      MapRequired

      The attached cidrs.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • zoneUuid
      StringRequired

      The zone UUID.

    • physicalInterface
      StringRequired

      The physical interface.

    • type
      StringRequired

      The resource type.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedClusterUuids
      ListRequired

      The attached cluster UUIDs.

    • attachedVtepRefs
      ListRequired

      See attachedVtepRefs.

      • uuid
        StringRequired

        The resource UUID.

      • hostUuid
        StringRequired

        The host UUID.

      • vtepIp
        StringRequired

        The VTEP IP.

      • port
        IntegerRequired

        The port.

      • type
        StringRequired

        The resource type.

      • createDate
        TimestampRequired

        The creation date.

      • LastOpDate
        TimestampRequired

        The last operation date.

      • poolUuid
        StringRequired

        The pool UUID.

    • attachedVxlanNetworkRefs
      ListRequired

      See attachedVxlanNetworkRefs.

      • vni
        IntegerRequired

        The VNI.

      • poolUuid
        StringRequired

        The pool UUID.

      • uuid
        StringRequired

        The resource UUID.

      • name
        StringRequired

        The resource name.

      • description
        StringRequired

        The detailed description of the resource.

      • zoneUuid
        StringRequired

        The zone UUID.

      • physicalInterface
        StringRequired

        The physical interface.

      • type
        StringRequired

        The resource type.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • attachedClusterUuids
        ListRequired

        The attached cluster UUIDs.

    • attachedVniRanges
      ListRequired

      See attachedVniRanges.

      • uuid
        StringRequired

        The resource UUID.

      • name
        StringRequired

        The resource name.

      • description
        StringRequired

        The detailed description of the resource.

      • startVni
        IntegerRequired

        The start VNI.

      • endVni
        IntegerRequired

        The end VNI.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • l2NetworkUuid
        StringRequired

        The L2 network UUID.